wxWidgets: wxPrintDialogData Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxPrintDialogData Class Reference
Class List by Category » Printing Framework | Class List by Category » Common Dialogs | Class List by Category » Data Structures

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/cmndata.h>`

Inheritance diagram for wxPrintDialogData:
[legend]

## Detailed Description

This class holds information related to the visual characteristics of wxPrintDialog.

It contains a wxPrintData object with underlying printing settings.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ , \ , \ </></>

See also
  Printing Framework Overview, wxPrintDialog, wxPrintDialog Overview

## Public Member Functions
| wxPrintDialogData ()
| Default constructor.
| wxPrintDialogData (const wxPrintDialogData &dialogData)
| Copy constructor.
| wxPrintDialogData (const wxPrintData &printData)
| Construct an object from a print dialog data object.
virtual | ~wxPrintDialogData ()
| Destructor.
void | EnableHelp (bool flag)
| Enables or disables the "Help" button.
void | EnablePageNumbers (bool flag)
| Enables or disables the "Page numbers" controls.
void | EnablePrintToFile (bool flag)
| Enables or disables the "Print to file" checkbox.
void | EnableSelection (bool flag)
| Enables or disables the "Selection" radio button.
bool | GetAllPages () const
| Returns true if the user requested that all pages be printed.
bool | GetCollate () const
| Returns true if the user requested that the document(s) be collated.
int | GetFromPage () const
| Returns the from page number, as entered by the user.
int | GetMaxPage () const
| Returns the maximum page number.
int | GetMinPage () const
| Returns the minimum page number.
int | GetNoCopies () const
| Returns the number of copies requested by the user.
wxPrintData & | GetPrintData ()
| Returns a reference to the internal wxPrintData object.
bool | GetPrintToFile () const
| Returns true if the user has selected printing to a file.
bool | GetSelection () const
| Returns true if the user requested that the selection be printed (where "selection" is a concept specific to the application).
int | GetToPage () const
| Returns the "print to" page number, as entered by the user.
bool | IsOk () const
| Returns true if the print data is valid for using in print dialogs.
void | SetCollate (bool flag)
| Sets the "Collate" checkbox to true or false.
void | SetFromPage (int page)
| Sets the from page number.
void | SetMaxPage (int page)
| Sets the maximum page number.
void | SetMinPage (int page)
| Sets the minimum page number.
void | SetNoCopies (int n)
| Sets the default number of copies the user has requested to be printed out.
void | SetPrintData (const wxPrintData &printData)
| Sets the internal wxPrintData.
void | SetPrintToFile (bool flag)
| Sets the "Print to file" checkbox to true or false.
void | SetSelection (bool flag)
| Selects the "Selection" radio button.
void | SetSetupDialog (bool flag)
void | SetToPage (int page)
| Sets the "print to" page number.
void | operator= (const wxPrintData &data)
| Assigns print data to this object.
void | operator= (const wxPrintDialogData &data)
| Assigns another print dialog data object to this object.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

## ◆ wxPrintDialogData() [1/3]

wxPrintDialogData::wxPrintDialogData | ( |  | ) |

Default constructor.

## ◆ wxPrintDialogData() [2/3]

wxPrintDialogData::wxPrintDialogData | ( | const wxPrintDialogData & | dialogData | ) |

Copy constructor.

## ◆ wxPrintDialogData() [3/3]

wxPrintDialogData::wxPrintDialogData | ( | const wxPrintData & | printData | ) |

Construct an object from a print dialog data object.

## ◆ ~wxPrintDialogData()

virtual wxPrintDialogData::~wxPrintDialogData | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ EnableHelp()

void wxPrintDialogData::EnableHelp | ( | bool | flag | ) |

Enables or disables the "Help" button.

## ◆ EnablePageNumbers()

void wxPrintDialogData::EnablePageNumbers | ( | bool | flag | ) |

Enables or disables the "Page numbers" controls.

## ◆ EnablePrintToFile()

void wxPrintDialogData::EnablePrintToFile | ( | bool | flag | ) |

Enables or disables the "Print to file" checkbox.

## ◆ EnableSelection()

void wxPrintDialogData::EnableSelection | ( | bool | flag | ) |

Enables or disables the "Selection" radio button.

## ◆ GetAllPages()

bool wxPrintDialogData::GetAllPages | ( |  | ) | const

Returns true if the user requested that all pages be printed.

## ◆ GetCollate()

bool wxPrintDialogData::GetCollate | ( |  | ) | const

Returns true if the user requested that the document(s) be collated.

## ◆ GetFromPage()

int wxPrintDialogData::GetFromPage | ( |  | ) | const

Returns the from page number, as entered by the user.

## ◆ GetMaxPage()

int wxPrintDialogData::GetMaxPage | ( |  | ) | const

Returns the maximum page number.

## ◆ GetMinPage()

int wxPrintDialogData::GetMinPage | ( |  | ) | const

Returns the minimum page number.

## ◆ GetNoCopies()

int wxPrintDialogData::GetNoCopies | ( |  | ) | const

Returns the number of copies requested by the user.

## ◆ GetPrintData()

wxPrintData & wxPrintDialogData::GetPrintData | ( |  | ) |

Returns a reference to the internal wxPrintData object.

## ◆ GetPrintToFile()

bool wxPrintDialogData::GetPrintToFile | ( |  | ) | const

Returns true if the user has selected printing to a file.

## ◆ GetSelection()

bool wxPrintDialogData::GetSelection | ( |  | ) | const

Returns true if the user requested that the selection be printed (where "selection" is a concept specific to the application).

## ◆ GetToPage()

int wxPrintDialogData::GetToPage | ( |  | ) | const

Returns the "print to" page number, as entered by the user.

## ◆ IsOk()

bool wxPrintDialogData::IsOk | ( |  | ) | const

Returns true if the print data is valid for using in print dialogs.

This can return false on Windows if the current printer is not set, for example. On all other platforms, it returns true.

## ◆ operator=() [1/2]

void wxPrintDialogData::operator= | ( | const wxPrintData & | data | ) |

Assigns print data to this object.

## ◆ operator=() [2/2]

void wxPrintDialogData::operator= | ( | const wxPrintDialogData & | data | ) |

Assigns another print dialog data object to this object.

## ◆ SetCollate()

void wxPrintDialogData::SetCollate | ( | bool | flag | ) |

Sets the "Collate" checkbox to true or false.

## ◆ SetFromPage()

void wxPrintDialogData::SetFromPage | ( | int | page | ) |

Sets the from page number.

## ◆ SetMaxPage()

void wxPrintDialogData::SetMaxPage | ( | int | page | ) |

Sets the maximum page number.

## ◆ SetMinPage()

void wxPrintDialogData::SetMinPage | ( | int | page | ) |

Sets the minimum page number.

## ◆ SetNoCopies()

void wxPrintDialogData::SetNoCopies | ( | int | n | ) |

Sets the default number of copies the user has requested to be printed out.

## ◆ SetPrintData()

void wxPrintDialogData::SetPrintData | ( | const wxPrintData & | printData | ) |

Sets the internal wxPrintData.

## ◆ SetPrintToFile()

void wxPrintDialogData::SetPrintToFile | ( | bool | flag | ) |

Sets the "Print to file" checkbox to true or false.

## ◆ SetSelection()

void wxPrintDialogData::SetSelection | ( | bool | flag | ) |

Selects the "Selection" radio button.

The effect of printing the selection depends on how the application implements this command, if at all.

## ◆ SetSetupDialog()

void wxPrintDialogData::SetSetupDialog | ( | bool | flag | ) |

Deprecated
  This function has been deprecated since version 2.5.4.

Determines whether the dialog to be shown will be the Print dialog (pass false) or Print Setup dialog (pass true).

## ◆ SetToPage()

void wxPrintDialogData::SetToPage | ( | int | page | ) |

Sets the "print to" page number.